Description

In HESS we have started to check the morphology fitting results from the tools in use (HAP, ParisAnalysis, Sherpa) against each

other.

It would be nice if gammalib / ctools would be included in this comparison, and this could also evolve into the OnOffFitting unit tests

for gammalib.

Attached find a first simple example, once we have agreement there we can create a series of more complex examples (PSF

convolution, non-flat background and exposure maps, On-off-likelihood statistics). We should do the same thing for other parts

(statistics, background estimation, spectra) using fake and real data.

HAP has basically no unit test coverage, but the GoogleTest unit testing framework is in place in the scons build system

This gammalib / ctools effort is also a very nice opportunity to define exchangeable maps (basically a bunch of images) and spectrum

(PHA?) data formats between the tools and develop some test cases to cross-check the implementations.

Jürgen, Pierrick: maybe you can organize the test cases you'd like in the issue tracker and then I'll try to run / provide what is needed

for the HD / HAP side.

History

#1 - 10/30/2014 11:58 AM - Knödlseder Jürgen

- Priority changed from Normal to High

- Target version set to 1.0.0

It would be good if someone could do this as soon as possible to validate the code prior to the release of version 1.0.0.

#2 - 02/10/2015 11:17 PM - Knödlseder Jürgen

Some volunteer to work on that issue?

#3 - 02/10/2015 11:22 PM - Deil Christoph

- Assigned To set to Deil Christoph

I'll do some tests against Sherpa and Gammapy next week.

If I remember correctly it's not simple to just create a Gaussian or Multi-Gauss or some other simple test PSF ... I have to read the PSF model from

FITS files?

#4 - 10/16/2015 11:23 PM - Knödlseder Jürgen

- Target version deleted (1.0.0)

I put this now off the 1.0 release. I have done substantial verification of the pull distributions for the various spatial models and everything looks fine.

So we should go for the release without having done these tests.

I keep the issue, however, so that we don't forget about doing these tests one day.
simple.tar 89.5 KB 05/02/2013 Deil Christoph
